Page MenuHomePhabricator

core mediawiki.util test failing in Flow qunit Jenkins jobs
Closed, ResolvedPublic

Description

It's not clear why.
Can anyone shed light on why this happen?:
https://integration.wikimedia.org/ci/job/mwext-Flow-qunit/318/console


Version: master
Severity: normal

Details

Reference
bz68188

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:26 AM
bzimport set Reference to bz68188.
bzimport added a subscriber: Unknown Object (MLST).

Changing component to CI, I do not think QA team can help here.

greg added a comment.Jul 19 2014, 5:25 AM

This looks to be the consistent warning/failure in the console log:

00:44:56 >> Message: Died on test #2 at http://localhost:9412/jenkins-mwext-Flow-qunit-380/load.php?debug=false&lang=en&modules=ext.flow.new.handlebars.tests%7Cext.flow.new.tests%7Cext.mantle%7Cext.mantle.handlebars%2Cmodules%2Coo%2Ctemplates%2Cviews%7Cext.mantle.oo.tests%7Cext.mantle.templates.tests%7Cext.mantle.views.tests%7Cjquery.accessKeyLabel%2CcheckboxShiftClick%2Cclient%2CgetAttrs%2Cjson%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2Cqunit%2CtabIndex%2Cthrottle-debounce%7Cjquery.qunit.completenessTest%7Cmediawiki.cldr%2CjqueryMsg%2Clanguage%2Cnotify%2Cutil%7Cmediawiki.language.data%2Cinit%7Cmediawiki.legacy.ajax%2Cwikibits%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.special.javaScriptTest%7Cskins.vector.js%7Ctest.mediawiki.qunit.testrunner%7Ctest.sinonjs&skin=vector&version=20140719T004439Z&*:107
00:44:56 >> at http://localhost:9412/jenkins-mwext-Flow-qunit-380/load.php?debug=false&lang=en&modules=jquery.autoEllipsis%2CbyteLength%2CbyteLimit%2Ccolor%2CcolorUtil%2Ccookie%2Chidpi%2ChighlightText%2Clocalize%2Csuggestions%2Ctablesorter%2CtextSelection%7Cmediawiki.Title%2CUri%2Capi%2Ccookie%2Chidpi%2CsearchSuggest%2Cspecial%2Ctoc%2Cuser%7Cmediawiki.api.category%2Cparse%2Cwatch%7Cmediawiki.language.months%7Cmediawiki.special.recentchanges%7Ctest.mediawiki.qunit.suites&skin=vector&version=20140719T004439Z&*:274
00:44:56 >> at http://localhost:9412/jenkins-mwext-Flow-qunit-380/load.php?debug=false&lang=en&modules=jquery.autoEllipsis%2CbyteLength%2CbyteLimit%2Ccolor%2CcolorUtil%2Ccookie%2Chidpi%2ChighlightText%2Clocalize%2Csuggestions%2Ctablesorter%2CtextSelection%7Cmediawiki.Title%2CUri%2Capi%2Ccookie%2Chidpi%2CsearchSuggest%2Cspecial%2Ctoc%2Cuser%7Cmediawiki.api.category%2Cparse%2Cwatch%7Cmediawiki.language.months%7Cmediawiki.special.recentchanges%7Ctest.mediawiki.qunit.suites&skin=vector&version=20140719T004439Z&*:301
00:44:56 >> at runScript (http://localhost:9412/jenkins-mwext-Flow-qunit-380/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20140719T004439Z:171)
00:44:56 >> at http://localhost:9412/jenkins-mwext-Flow-qunit-380/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20140719T004439Z:171
00:44:56 >> at execute (http://localhost:9412/jenkins-mwext-Flow-qunit-380/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20140719T004439Z:172)
00:44:56 >> at handlePending (http://localhost:9412/jenkins-mwext-Flow-qunit-380/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20140719T004439Z:169)
00:44:56 >> at runScript (http://localhost:9412/jenkins-mwext-Flow-qunit-380/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20140719T004439Z:171)
00:44:56 >> at http://localhost:9412/jenkins-mwext-Flow-qunit-380/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20140719T004439Z:171
00:44:56 >> at http://localhost:9412/jenkins-mwext-Flow-qunit-380/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20140719T004439Z:171
00:44:56 >> at http://localhost:9412/jenkins-mwext-Flow-qunit-380/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20140719T004439Z:44
00:44:56 >> at http://localhost:9412/jenkins-mwext-Flow-qunit-380/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20140719T004439Z:46
00:44:56 >> at http://localhost:9412/jenkins-mwext-Flow-qunit-380/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20140719T004439Z:46
00:44:56 >> at addEmbeddedCSS (http://localhost:9412/jenkins-mwext-Flow-qunit-380/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20140719T004439Z:166)
00:44:56 >> at http://localhost:9412/jenkins-mwext-Flow-qunit-380/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20140719T004439Z:166: 'null' is not an object (evaluating 'mw.util.$content.length')
00:44:56 >> TypeError: 'null' is not an object (evaluating 'mw.util.$content.length')

(copied from: https://integration.wikimedia.org/ci/job/mwext-Flow-qunit/380/console )

Correct.. but the test it refers to is a core test that Flow shouldn't be interfering with.

Does anyone know why we might be getting this issue? I just can't for the life of me work it out (it passes fine locally)

Are we absolutely 100% sure it's not related to Jenkins?

Jon, it might be a regression in mw/core or Flow badly interacting with that specific case. A way to reproduce would be to have a fresh mediawiki + Flow installed then run the Qunit test to see if you can reproduce it on a local install.

https://www.mediawiki.org/wiki/Qunit has some documentation.

I think Matt Flaschen (added to cc) had a similar issue. If all fail, fallback to our Javascript guru Timo :)

Okay I can replicate this now. Thanks for the hint :)

Change 148220 had a related patch set uploaded by Jdlrobson:
Get QUnit tests passing in Jenkins

https://gerrit.wikimedia.org/r/148220

@hashar looks like Jenkins wasn't showing another error that was being thrown.
I've fixed the issue (missing module dependency)

Would be great if you could make Jenkins QUnit jobs voting for Flow now! :) With this patch they pass! \o/

greg added a comment.Jul 21 2014, 8:32 PM

(In reply to Jon from comment #7)

@hashar looks like Jenkins wasn't showing another error that was being
thrown.
I've fixed the issue (missing module dependency)
Would be great if you could make Jenkins QUnit jobs voting for Flow now! :)
With this patch they pass! \o/

YAY

(In reply to Jon from comment #7)

@hashar looks like Jenkins wasn't showing another error that was being
thrown.
I've fixed the issue (missing module dependency)
Would be great if you could make Jenkins QUnit jobs voting for Flow now! :)
With this patch they pass! \o/

@jon Making qunit voting is bug 67734 =)

Change 148220 merged by jenkins-bot:
Get QUnit tests passing in Jenkins

https://gerrit.wikimedia.org/r/148220

Change 148454 had a related patch set uploaded by EBernhardson:
Get QUnit tests passing in Jenkins

https://gerrit.wikimedia.org/r/148454

Change 148454 merged by jenkins-bot:
Get QUnit tests passing in Jenkins

https://gerrit.wikimedia.org/r/148454

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:39 AM